Package org.apache.catalina.tribes.transport

# Class Constants

java.lang.Object
org.apache.catalina.tribes.transport.Constants

public class Constants extends Object
Manifest constants for the `org.apache.catalina.tribes.transport` package.

Author:
  Peter Rossbach

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte[]`
  `ACK_COMMAND`
  `static final byte[]`
  `ACK_DATA`
  `static final int`
  `DEFAULT_CLUSTER_ACK_BUFFER_SIZE`
  `static final int`
  `DEFAULT_CLUSTER_MSG_BUFFER_SIZE`
  `static final byte[]`
  `FAIL_ACK_COMMAND`
  `static final byte[]`
  `FAIL_ACK_DATA`
  `static final String`
  `Package`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Package

    public static final String Package
    See Also:
      - Constant Field Values

  - ### DEFAULT_CLUSTER_MSG_BUFFER_SIZE

    public static final int DEFAULT_CLUSTER_MSG_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_CLUSTER_ACK_BUFFER_SIZE

    public static final int DEFAULT_CLUSTER_ACK_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### ACK_DATA

    public static final byte[] ACK_DATA

  - ### FAIL_ACK_DATA

    public static final byte[] FAIL_ACK_DATA

  - ### ACK_COMMAND

    public static final byte[] ACK_COMMAND

  - ### FAIL_ACK_COMMAND

    public static final byte[] FAIL_ACK_COMMAND

- ## Constructor Details

  - ### Constants

    public Constants()